#!/usr/bin/perl

use strict;
use warnings;
use DBI;

my $db_user = 'user_name';
my $db_pass = 'password';

my $dbh = DBI->connect('DBI:mysql:verlihub', $db_user, $db_pass)
    or die "Couldn't connect to database: " . DBI->errstr;

# current share size
my $sql = 'SELECT `share_total_gb` FROM `pi_stats` ORDER BY `realtime` DESC LIMIT 0, 1';

my $sth = $dbh->prepare($sql)
    or die "Couldn't prepare statement: " . $dbh->errstr;
	
$sth->execute()
    or die "Couldn't execute: " . $sth->errstr;
	    
my $sharesize = $sth->fetchrow();

# show the data
print $sharesize;